Skip to main content

get dataset data metrics

Get data metrics for a dataset identified by id

Path Parameters
id string — REQUIRED

dataset Id

colName string — REQUIRED
Query Parameters
after yyyy-MM-dd_HH:mm:ss

Returns all alerts after this date

before yyyy-MM-dd_HH:mm:ss

Returns all alerts before this date

last int32
Responses
200

List of dataset versions

Schema — OPTIONAL
data object[]
datasetId string
lowWatermark int64 — OPTIONAL
highWatermark int64 — OPTIONAL
colName string
dataTypeInfo object — OPTIONAL
id string — OPTIONAL
sourceType string — OPTIONAL
javaType string — OPTIONAL

Possible values: [BOOLEAN, BYTE_ARRAY, BYTE, SHORT, INT, BIGINTEGER, LONG, FLOAT, DOUBLE, DECIMAL, DECIMAL_PS, CHAR, STRING, DATE, LOCALDATETIME, TIME, DATETIME, TIMESTAMP, LIST, JSON, OBJECT]

isUnsigned boolean — OPTIONAL
length int32 — OPTIONAL
storageBytes int32 — OPTIONAL
typicalDefaultValue object — OPTIONAL
description string — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
paging object — OPTIONAL
before string — OPTIONAL
after string — OPTIONAL
total int32